lasd5(3)

NAME
lasd5 - lasd5: D&C step: secular equation, 2x2

SYNOPSIS

  Functions
subroutine dlasd5 (i, d, z, delta, rho, dsigma, work)
DLASD5 computes the square root of the i-th eigenvalue of a positive symmetric rank-one modification of a 2-by-2 diagonal matrix. Used by sbdsdc.
subroutine slasd5 (i, d, z, delta, rho, dsigma, work)
SLASD5 computes the square root of the i-th eigenvalue of a positive symmetric rank-one modification of a 2-by-2 diagonal matrix. Used by sbdsdc.

Detailed Description

Function Documentation

  subroutine dlasd5 (integer i, double precision, dimension( 2 ) d, double precision, dimension( 2 ) z, double precision, dimension( 2 ) delta, double precision rho, double precision dsigma, double precision, dimension( 2 ) work)

DLASD5 computes the square root of the i-th eigenvalue of a positive symmetric rank-one modification of a 2-by-2 diagonal matrix. Used by sbdsdc.

Purpose:

     This subroutine computes the square root of the I-th eigenvalue
     of a positive symmetric rank-one modification of a 2-by-2 diagonal
     matrix
                diag( D ) * diag( D ) +  RHO * Z * transpose(Z) .
     The diagonal entries in the array D are assumed to satisfy
                0 <= D(i) < D(j)  for  i < j .
     We also assume RHO > 0 and that the Euclidean norm of the vector
     Z is one.

Parameters
    I

              I is INTEGER
             The index of the eigenvalue to be computed.  I = 1 or I = 2.

    D

              D is DOUBLE PRECISION array, dimension ( 2 )
             The original eigenvalues.  We assume 0 <= D(1) < D(2).

    Z

              Z is DOUBLE PRECISION array, dimension ( 2 )
             The components of the updating vector.

    DELTA

              DELTA is DOUBLE PRECISION array, dimension ( 2 )
             Contains (D(j) - sigma_I) in its  j-th component.
             The vector DELTA contains the information necessary
             to construct the eigenvectors.

    RHO

              RHO is DOUBLE PRECISION
             The scalar in the symmetric updating formula.

    DSIGMA

              DSIGMA is DOUBLE PRECISION
             The computed sigma_I, the I-th updated eigenvalue.

    WORK

              WORK is DOUBLE PRECISION array, dimension ( 2 )
             WORK contains (D(j) + sigma_I) in its  j-th component.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Ren-Cang Li, Computer Science Division, University of California at Berkeley, USA

Definition at line 115 of file dlasd5.f.

  subroutine slasd5 (integer i, real, dimension( 2 ) d, real, dimension( 2 ) z, real, dimension( 2 ) delta, real rho, real dsigma, real, dimension( 2 ) work)

SLASD5 computes the square root of the i-th eigenvalue of a positive symmetric rank-one modification of a 2-by-2 diagonal matrix. Used by sbdsdc.

Purpose:

     This subroutine computes the square root of the I-th eigenvalue
     of a positive symmetric rank-one modification of a 2-by-2 diagonal
     matrix
                diag( D ) * diag( D ) +  RHO * Z * transpose(Z) .
     The diagonal entries in the array D are assumed to satisfy
                0 <= D(i) < D(j)  for  i < j .
     We also assume RHO > 0 and that the Euclidean norm of the vector
     Z is one.

Parameters
    I

              I is INTEGER
             The index of the eigenvalue to be computed.  I = 1 or I = 2.

    D

              D is REAL array, dimension (2)
             The original eigenvalues.  We assume 0 <= D(1) < D(2).

    Z

              Z is REAL array, dimension (2)
             The components of the updating vector.

    DELTA

              DELTA is REAL array, dimension (2)
             Contains (D(j) - sigma_I) in its  j-th component.
             The vector DELTA contains the information necessary
             to construct the eigenvectors.

    RHO

              RHO is REAL
             The scalar in the symmetric updating formula.

    DSIGMA

              DSIGMA is REAL
             The computed sigma_I, the I-th updated eigenvalue.

    WORK

              WORK is REAL array, dimension (2)
             WORK contains (D(j) + sigma_I) in its  j-th component.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Contributors:
    Ren-Cang Li, Computer Science Division, University of California at Berkeley, USA

Definition at line 115 of file slasd5.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.